Loading...
Searching...
No Matches
svn_diff_fns_t Struct Reference

Like svn_diff_fns2_t except with datasource_open() instead of datasources_open(). More...

`#include <svn_diff.h>`

## Data Fields

svn_error_t *(* | datasource_open )(void *diff_baton, svn_diff_datasource_e datasource)
svn_error_t *(* | datasource_close )(void *diff_baton, svn_diff_datasource_e datasource)
svn_error_t *(* | datasource_get_next_token )(apr_uint32_t *hash, void **token, void *diff_baton, svn_diff_datasource_e datasource)
svn_error_t *(* | token_compare )(void *diff_baton, void *ltoken, void *rtoken, int *compare)
void(* | token_discard )(void *diff_baton, void *token)
void(* | token_discard_all )(void *diff_baton)

## Detailed Description

Like svn_diff_fns2_t except with datasource_open() instead of datasources_open().

Deprecated
  Provided for backward compatibility with the 1.6 API.

Definition at line 156 of file svn_diff.h.

## Field Documentation

## datasource_close

svn_error_t *(* svn_diff_fns_t::datasource_close) (void *diff_baton, svn_diff_datasource_e datasource)

Definition at line 161 of file svn_diff.h.

## datasource_get_next_token

svn_error_t *(* svn_diff_fns_t::datasource_get_next_token) (apr_uint32_t *hash, void **token, void *diff_baton, svn_diff_datasource_e datasource)

Definition at line 164 of file svn_diff.h.

## datasource_open

svn_error_t *(* svn_diff_fns_t::datasource_open) (void *diff_baton, svn_diff_datasource_e datasource)

Definition at line 158 of file svn_diff.h.

## token_compare

svn_error_t *(* svn_diff_fns_t::token_compare) (void *diff_baton, void *ltoken, void *rtoken, int *compare)

Definition at line 168 of file svn_diff.h.

## token_discard

void(* svn_diff_fns_t::token_discard) (void *diff_baton, void *token)

Definition at line 173 of file svn_diff.h.

## token_discard_all

void(* svn_diff_fns_t::token_discard_all) (void *diff_baton)

Definition at line 176 of file svn_diff.h.

The documentation for this struct was generated from the following file:

- svn_diff.h